Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152801 - suggest gpgcheck=1 in sample yum.conf
Summary: suggest gpgcheck=1 in sample yum.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Legacy
Classification: Retired
Component: General
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Legacy Bugs
QA Contact:
URL: http://www.fedoralegacy.org/download
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-08 09:51 UTC by rob
Modified: 2007-04-18 17:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-27 18:26:55 UTC


Attachments (Terms of Use)

Description David Lawrence 2005-03-30 23:27:57 UTC
<_blah_> i think on http://www.fedoralegacy.org/download/ where it tells you
          what to put in your yum.conf, it should include gpgcheck=1
<TheDom> _blah_: report a bug, otherwise it'll get forgotten about. I don't
          think Eric is around much at the moment.
<_blah_> file in bugzilla?
<_blah_> is there a website component, or keyword?
<TheDom> just "General"



------- Additional Comments From rostetter@mail.utexas.edu 2004-10-13 11:07:56 ----

This will only work for the FL version of yum, AFAIK.  And we haven't released
all the FL yum versions yet.  Unless someone proves me wrong, I'd say this 
should wait until FL publishes a yum for all RHL versions (for the RHL yum.conf)
and/or FC1 (for the Fedora Core yum.conf).  Anyone disagree?



------- Additional Comments From bugzilla-fedora6@matthew.elvey.com 2004-10-13 14:28:10 ----

Perhaps relevant: gpgcheck=1 didn't work for me:  I tried to use yum to upgrade
from FC1 to FC2.  (I was unable to escape depencency hell and didn't like the
fact that some stuff was unsigned; should have followed the advice to use
anaconda.)  Several of the packages yum tried to install didn't have signatures.
 Sorry, I lost the logs when I reinstalled from scratch, so I can't offer
specifics. I was using the redhat.com master site and/or the stanford.edu mirror.



------- Additional Comments From rob.myers@gtri.gatech.edu 2004-11-09 08:24:39 ----

re: comment #1

if it works for fc1, then i vote for just updating that yum.conf entry.  it
might also be nice to tell people how to import the gpg key.

re: comment #2

all fedora packages published by redhat should be gpg signed.  if you found
packages that were not gpg signed then you have bigger issues.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:27 -------

This bug previously known as bug 2140 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=2140
Originally filed under the Fedora Legacy product and General component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.



Comment 1 rob 2005-04-27 14:54:31 UTC
how about adding gpgcheck=1 to these documents?

http://www.fedoralegacy.org/docs/yum-fc1.php
http://www.fedoralegacy.org/docs/yum-fc2.php

Comment 2 Eric Jon Rostetter 2005-04-27 18:42:08 UTC
Done (added to yum-fc1.php and yum-fc2.php, not to /download/ as originally
asked in this bug).  Review, and if acceptible, then close the bug ticket.


Note You need to log in before you can comment on or make changes to this bug.